KD Chart 2: KDChartPosition.cpp File Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KDChartPosition.cpp File Reference

`#include <KDChartPosition.h>`
`#include <KDChartEnums.h>`
`#include <QString>`
`#include <QStringList>`
`#include <QList>`
`#include <QByteArray>`
`#include <KDABLibFakes>`
`#include <cassert>`

Include dependency graph for KDChartPosition.cpp:

Go to the source code of this file.

## Functions
QDebug | operator<< (QDebug dbg, const KDChart::Position &p)
## Variables
int | maxPositionValue = 10
Position | staticPositionCenter = Position( KDChartEnums::PositionCenter )
Position | staticPositionEast = Position( KDChartEnums::PositionEast )
Position | staticPositionFloating = Position( KDChartEnums::PositionFloating )
const char * | staticPositionNames []
Position | staticPositionNorth = Position( KDChartEnums::PositionNorth )
Position | staticPositionNorthEast = Position( KDChartEnums::PositionNorthEast )
Position | staticPositionNorthWest = Position( KDChartEnums::PositionNorthWest )
Position | staticPositionSouth = Position( KDChartEnums::PositionSouth )
Position | staticPositionSouthEast = Position( KDChartEnums::PositionSouthEast )
Position | staticPositionSouthWest = Position( KDChartEnums::PositionSouthWest )
Position | staticPositionUnknown = Position( KDChartEnums::PositionUnknown )
Position | staticPositionWest = Position( KDChartEnums::PositionWest )

## Function Documentation

QDebug operator<< | ( | QDebug | dbg,
|  | const KDChart::Position & | p
| ) |

| Definition at line 260 of file KDChartPosition.cpp.
    00261 {
    00262     dbg << "KDChart::Position("
    00263         << p.name() << ")";
    00264     return dbg;
    00265 }

## Variable Documentation

int maxPositionValue = 10`[static]`

| Definition at line 80 of file KDChartPosition.cpp. Referenced by KDChart::Position::fromName(), KDChart::Position::names(), and KDChart::Position::printableNames().

Position staticPositionCenter = Position( KDChartEnums::PositionCenter )`[static]`

| Definition at line 69 of file KDChartPosition.cpp.

Position staticPositionEast = Position( KDChartEnums::PositionEast )`[static]`

| Definition at line 73 of file KDChartPosition.cpp.

Position staticPositionFloating = Position( KDChartEnums::PositionFloating )`[static]`

| Definition at line 78 of file KDChartPosition.cpp.

const char* staticPositionNames[]`[static]`

| Initial value:
     {
        QT_TRANSLATE_NOOP("Position","Unknown Position"),
        QT_TRANSLATE_NOOP("Position","Center"),
        QT_TRANSLATE_NOOP("Position","NorthWest"),
        QT_TRANSLATE_NOOP("Position","North"),
        QT_TRANSLATE_NOOP("Position","NorthEast"),
        QT_TRANSLATE_NOOP("Position","East"),
        QT_TRANSLATE_NOOP("Position","SouthEast"),
        QT_TRANSLATE_NOOP("Position","South"),
        QT_TRANSLATE_NOOP("Position","SouthWest"),
        QT_TRANSLATE_NOOP("Position","West"),

    }
Definition at line 49 of file KDChartPosition.cpp. Referenced by KDChart::Position::fromName(), KDChart::Position::name(), KDChart::Position::names(), and KDChart::Position::printableName().

Position staticPositionNorth = Position( KDChartEnums::PositionNorth )`[static]`

| Definition at line 71 of file KDChartPosition.cpp.

Position staticPositionNorthEast = Position( KDChartEnums::PositionNorthEast )`[static]`

| Definition at line 72 of file KDChartPosition.cpp.

Position staticPositionNorthWest = Position( KDChartEnums::PositionNorthWest )`[static]`

| Definition at line 70 of file KDChartPosition.cpp.

Position staticPositionSouth = Position( KDChartEnums::PositionSouth )`[static]`

| Definition at line 75 of file KDChartPosition.cpp.

Position staticPositionSouthEast = Position( KDChartEnums::PositionSouthEast )`[static]`

| Definition at line 74 of file KDChartPosition.cpp.

Position staticPositionSouthWest = Position( KDChartEnums::PositionSouthWest )`[static]`

| Definition at line 76 of file KDChartPosition.cpp.

Position staticPositionUnknown = Position( KDChartEnums::PositionUnknown )`[static]`

| Definition at line 68 of file KDChartPosition.cpp.

Position staticPositionWest = Position( KDChartEnums::PositionWest )`[static]`

| Definition at line 77 of file KDChartPosition.cpp.